from LoaderClass import GasSensorDataLoader
from TrainerClass import eNoseTrainer

import warnings
warnings.filterwarnings("ignore")

source_channels=["MQ 8", "MQ 9", "MQ 135", "TGS 813", "TGS 821", "TGS 2600", "TGS 2602", "TGS 2611-0", "TGS 2612", "TGS 2620"]
target_variables=['C2H2', 'CH4', 'C3H6', 'CO', 'C2H6', 'C3H8', 'C2H4', 'H2', 'O2']

eNoseLoader = GasSensorDataLoader("enose_dataset", threshold=0.85, source_channels=source_channels, target_list=target_variables, debug=False)
eNose = eNoseTrainer(eNoseLoader, test_size=0.2, debug=False)

eNoseLoader.target_list=['H2',]
eNose.fit()
eNoseLoader.target_list=['C2H2',]
eNose.fit()
eNoseLoader.target_list=['CH4',]
eNose.fit()
eNoseLoader.target_list=['C2H4',]
eNose.fit()
eNoseLoader.target_list=['C2H6',]
eNose.fit()
eNoseLoader.target_list=['H2', 'C2H2', 'CH4', 'C2H4', 'C2H6',]
eNose.fit()
eNose.wrap_and_save()

# eNoseLoader.target_list=['H2',]
# eNose.gen_plots('Tabular-conv3','XGBRegressor_0')

# eNoseLoader.target_list=['H2', 'C2H2', 'CH4', 'C2H4', 'C2H6',]
# eNose.gen_plots('Tabular','XGBRegressor_1')
#
# eNoseLoader.target_list=['H2', 'C2H2', 'CH4', 'C2H4', 'C2H6',]
# eNose.gen_plots('Tabular-conv3','XGBRegressor_0')

# eNoseLoader.target_list=['H2',]
# eNose.gen_plots('Tabular-conv3','XGBRegressor_0')
